### Method

# Shumate SymbolEvent get_layer

since: 1.1

#### Declaration [src]

    const char*
    shumate_symbol_event_get_layer (
      ShumateSymbolEvent* self
    )

#### Description [src]

Gets the name of the layer the clicked symbol is in, as named in the vector stylesheet.

Note that this is distinct from the name of the layer in the vector tile schema. Some styles have multiple symbol layers derived from the same data source layer.

Available since: 1.1

Gets property | `Shumate.SymbolEvent:layer`

#### Return value

Type: `const char*`

The layer name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.